GuideLab API

Create Clinic Setup Intent

Create a Stripe SetupIntent to save a new payment method for the authenticated clinic with a specific lab. Clinic-owner only. Automatically creates a Stripe customer if one does not exist.

POST
/clinic-payment-methods/setup-intent

Create a Stripe SetupIntent to save a new payment method for the authenticated clinic with a specific lab. Clinic-owner only. Automatically creates a Stripe customer if one does not exist.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/clinic-payment-methods/setup-intent" \  -H "Content-Type: application/json" \  -d '{    "labId": "string"  }'
{  "clientSecret": "string",  "stripeAccountId": "string"}
{  "error": "string"}
Empty